[Buildroot] [PATCH]: Added splashy package.

Mitch Davis mjd+buildroot at afork.com
Thu Aug 5 14:08:48 UTC 2010


On Fri, Aug 6, 2010 at 12:01 AM, Belisko Marek <marek.belisko at gmail.com> wrote:
>>>
> splashy has dependency on libmagic.

I see.

> +++ b/package/splashy/splashy.mk
> @@ -0,0 +1,21 @@
> +#############################################################
> +#
> +# splashy
> +#
> +#############################################################
> +
> +SPLASHY_VERSION:=0.3.13
> +SPLASHY_SITE = https://alioth.debian.org/frs/download.php/2691/
> +SPLASHY_SOURCE = splashy-$(SPLASHY_VERSION).tar.gz
> +SPLASHY_LIBTOOL_PATCH = NO
> +SPLASHY_INSTALL_STAGING = YES
> +SPLASHY_DEPENDENCIES = directfb libglib2 file libpng
> +
> +define LIBMAGIC_INSTALL_STAGING_CMDS

Should this be SPLASHY_INSTALL_STAGING_CMDS?

I try to add also libmagic package but then
> I find out that file package contain libmagic and also header magic.h

I'm no expert, but your SPLASHY_DEPENDENCIES = directfb libglib2 file
libpng line should handle this.  What happens if you just have this
line, and no special installing in the "file" package?

Mitch.


More information about the buildroot mailing list